Page MenuHomePhabricator

Add warning, when upload file in CMYK color model
Open, NormalPublic

Description

Some browsers cannot display files with CMYK color model. Please add a warning, when upload a file with CMYK color model.

Thanks.


Version: unspecified
Severity: enhancement

Details

Reference
bz25703

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:18 PM
bzimport added a project: MediaWiki-Uploading.
bzimport set Reference to bz25703.
bzimport added a subscriber: Unknown Object (MLST).

Bryan.TongMinh wrote:

I'd rather force MediaWiki to render the thumbnail as RGB.

Is there any other reason to discourage CMYK images?

There could be an inconsistency(In reply to comment #1)

I'd rather force MediaWiki to render the thumbnail as RGB.
Is there any other reason to discourage CMYK images?

If we do that, there could be an inconsistency since mediawiki will use the original file if the original file is the same size as the requested size afaik.

Bryan.TongMinh wrote:

(In reply to comment #2)

There could be an inconsistency(In reply to comment #1)

I'd rather force MediaWiki to render the thumbnail as RGB.
Is there any other reason to discourage CMYK images?

If we do that, there could be an inconsistency since mediawiki will use the
original file if the original file is the same size as the requested size
afaik.

We can force it to render the full size thumbnail as well, similarly to how we handle images with EXIF rotation.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:33 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:33 PM

This issue was created in 2010, and I'm wondering whether it's still applicable.
At that time, IE8 or IE7 was the default in windows, and IE8 does not support CMYK, but later in 2011 IE9 was released with CMYK support. Do we have any data that anyone still uses IE8 and lower ? Do we still want to support it ?

https://tedgustaf.com/blog/2012/image-not-showing-in-ie8-due-to-cmyk-encoding/ says that the only browsers (out of IE, chrome, firefox, safari) which do not support CMYK is FF2 and IE8 and lower.

As these are very old I was wondering if this is still something we want to think about considering it isn't really going to be affecting anyone ?

At that time, IE8 or IE7 was the default in windows, and IE8 does not support CMYK, but later in 2011 IE9 was released with CMYK support. Do we have any data that anyone still uses IE8 and lower ? Do we still want to support it ?

https://analytics.wikimedia.org/dashboards/browsers/#all-sites-by-browser
https://www.mediawiki.org/wiki/Compatibility#Browser_support_matrix

I have wrote about browsers, but that maybe is just for full size images. I am not sure, if the thumbs are okay, when the image is a cymk

If all Grade A and B browsers support the image, it is okay to close this.

@Umherirrender What exactly is Grade B ? I find that only Grade A, C, and X are mentioned at https://www.mediawiki.org/wiki/Compatibility

I was in mind that there are three kind of Grade, so assuming the middle is B, but it seems it is C

And in older version there was a Grade B - https://www.mediawiki.org/w/index.php?title=Compatibility&oldid=923035

So I was just a bit confused

Smalyshev reopened this task as Open.May 18 2018, 5:43 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM